Nacházíte se zde: Úvod » Redakční systémy » Joomla! » Bezpečnostní aktualizace komponenty JCE v Joomla!
Joomla!

Bezpečnostní aktualizace komponenty JCE v Joomla!

15. 5. 2013 | Autor: Martin

Zranitelnost JCE

V poslední době zaznamenáváme čím dál více útoků na open source systémy Joomla. Útoky jsou v tomto případě prováděné přes komponentu Joomla Content Editor (JCE), která do verze 2.2.3 obsahuje bezpečnostní chybu, kterou je možné do prostoru domény nahrát libovolný škodlivý kód. Tím můžou útočníci zneužít služby webového serveru k nelegálním aktivitám, jakými jsou např. phishing, (D)DoS útoky, posílání spamu, šíření virů (mezi Vaše klienty) a pod.

Proč jsou aktualizace důležité?

Open source systémy jsou poměrně snadným a častým cílem útoků, jelikož útočníci mají také k dispozici zdrojové kódy, můžou tedy tyto zdrojové kódy prozkoumat s cílem najít bezpečnostní chyby, které můžou zneužít (mimo jiné) k nahrání škodlivého kódu do prostoru domén. Z tohoto důvodu je velmi důležité sledovat vývoj open source systémů, tedy zda byly vydány bezpečnostní aktualizace samotné aplikace a také všech doplňků. Častou aktualizací aplikace a jejích doplňků se minimalizuje riziko útoku na Vaše stránky.

Stažení balíčku s aktualizací JCE

Před samotnou aktualizací komponenty JCE je potřebné stáhnout její balíček. Komponenta je dostupná na oficiálních stránkách www.joomlacontenteditor.net/downloads/editor. Na uvedené stránce stáhnete balíček příslušný k verzi Joomla, kterou pro svou prezentaci využíváte.

Postup aktualizace JCE

Aktualizaci komponenty JCE v open source systému Joomla doporučujeme provést co nejdříve, jelikož nahrání škodlivého kódu do prostoru domény je možné během několika vteřin. Postup aktualizace je následovný:

  1. přihlášení do administračního rozhraní systému Joomla,
  2. zobrazení stránky pro instalaci komponenty,
  3. vložení souboru s balíčkem aktualizace,
  4. zobrazení stavu po úspěšné aktualizaci

Odstranění JCE

V případě, že komponentu JCE nevyužíváte, doporučujeme namísto aktualizace odstranění této komponenty, jelikož se tímto krokem sníží riziko zneužití bezpečnostních chyb těchto aplikací/komponent. To samozřejmě doporučujeme i v případě jiných nevyužívaných komponent.

Zpět

Diskuse

Přidat nový příspěvěk

Max. délka zprávy je 1000 znaků (napsáno znaků: 0).
Sečtěte a zaokrouhlete 9.9+1

Údaje označené hvězdičkou * a tučně jsou povinné. Nepoužívejte HTML značky.